# Setting

A persistent database setting.

Methods
void | checkRename()
void | checkRename()
String | getCreateSQL()
String | getCreateSQL()
String | getCreateSQLForCopy(Table table, String quotedName)
String | getCreateSQLForCopy(Table table, String quotedName)
String | getDropSQL()
String | getDropSQL()
int | getIntValue()
int | getIntValue()
String | getStringValue()
String | getStringValue()
int | getType()
int | getType()
void | removeChildrenAndResources(Session session)
void | removeChildrenAndResources(Session session)
void | setIntValue(int value)
void | setIntValue(int value)
void | setStringValue(String value)
void | setStringValue(String value)